Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-11897

Supporting Multiple Toolchains

    XMLWordPrintable

    Details

      Description

      It is possible to define several kits, qt versions and compilers for the toolchain. Unfortunately, the environment for the toolchains cannot be configured. This leads to several startup errors for qtcreator and i cannot use qtcreator for building with multiple toolchains.

      Example: i have QtCreator installed.
      I have 4 toolchains: mingw-32, mingw-64, visual studio 2008 32bit, visual studio 2008 64bit.

      I have configured 8 qt versions ( 474 and 485 for each compiler)

      When i start qtcreator, i get multiple error messages.

      The configured qmake executable (also automatic detected) cannot run, cause the environments are not set correctly for the different compilers. i cannot specify an system environment where all 4 compilers would work.

      So i need

      • the possiblity to specify the environemnt for each compiler
      • start qtcreator with no GLOBAL definition of the kits, start qtcreator with an "selected, active kit" (IGNORING all others) with correct configured environment for this kit

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            hunger Tobias Hunger
            Reporter:
            j.kreuzberger Joerg Kreuzberger
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes